Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`mail`.`interfaces`.`ISearchableIMAPMailbox``

interface documentation

`class ISearchableIMAPMailbox(Interface): (source)`

View In Hierarchy

Undocumented

Method | `search` | Search for messages that meet the given query criteria.

def search(query, uid): (source)

Search for messages that meet the given query criteria.

If this interface is not implemented by the mailbox, `IMailboxIMAP.fetch` and various methods of `IMessageIMAP` will be used instead.

Implementations which wish to offer better performance than the default implementation should implement this interface.

Parameters
query:`list` | The search criteria
uid:`bool` | If true, the IDs specified in the query are UIDs; otherwise they are message sequence IDs.
Returns
`list` or `Deferred` | A list of message sequence numbers or message UIDs which match the search criteria or a `Deferred` whose callback will be invoked with such a list.
Raises
`IllegalQueryError` | Raised when query is not valid.